CREATE SCHEMA Oekologie

-- Historie:
-- 
-- 03.09.2003 - 1.000 (1.008)
-- Schema Oekologie in den OKSTRA aufgenommen


CREATE TABLE Kompensationsmassnahme (
   Kompensationsmassnahme_ID
      INTEGER NOT NULL PRIMARY KEY,
   Bezeichnung
      CHAR(1),
   Nummer
      INTEGER,
   Beschreibung_gemaess_LBP
      VARCHAR(255),
   Gesamtgroesse
      REAL NOT NULL, -- Quadratmeter
   CHECK ( Gesamtgroesse >= 0 ),
   Ersatzgeld
      REAL, -- EURO
   CHECK ( Ersatzgeld >= 0 ),
   Ersatzgeld_gezahlt_am
      CHAR(10), -- Datum
   CHECK ( Ersatzgeld_gezahlt_am LIKE '__.__.____' ),
   Ersatzgeld_gezahlt_an
      VARCHAR(255),
   Begruendung_fuer_Ersatzgeld
      VARCHAR(255),
   fertiggestellt_am
      CHAR(10), -- Datum
   CHECK ( fertiggestellt_am LIKE '__.__.____' ),
   Herstellung_abgeschlossen_am
      CHAR(10), -- Datum
   CHECK ( Herstellung_abgeschlossen_am LIKE '__.__.____' ),
   Entwicklungsziel_erreicht_am
      CHAR(10), -- Datum
   CHECK ( Entwicklungsziel_erreicht_am LIKE '__.__.____' ),
   Uebergabe_an
      VARCHAR(255),
   Datum_der_Uebergabe
      CHAR(10), -- Datum
   CHECK ( Datum_der_Uebergabe LIKE '__.__.____' ),
   Zustandskontrolle
      VARCHAR(255)
)

CREATE TABLE Teilmassnahme (
   Teilmassnahme_ID
      INTEGER NOT NULL PRIMARY KEY,
   Umfang
      REAL, -- Quadratmeter
   CHECK ( Umfang >= 0 ),
   Anzahl
      INTEGER, -- Anzahl
   CHECK ( Anzahl >= 0 ),
   Groesse
      REAL, -- Quadratmeter
   CHECK ( Groesse >= 0 ),
   zu_Kompensationsmassnahme
      INTEGER NOT NULL REFERENCES Kompensationsmassnahme
)

CREATE TABLE Teilmassn__h_Herst_Fertigstpfl (
   Teilmassnahme
      INTEGER NOT NULL REFERENCES Teilmassnahme,
   Herstellung_Fertigstpflege
      INTEGER NOT NULL REFERENCES Herstellung_Fertigstpflege
)

CREATE TABLE Teilmassn__h_Entwicklungspfl (
   Teilmassnahme
      INTEGER NOT NULL REFERENCES Teilmassnahme,
   Entwicklungspflege
      INTEGER NOT NULL REFERENCES Entwicklungspflege
)

CREATE TABLE Teilmassn__h_Unterhaltungspfl (
   Teilmassnahme
      INTEGER NOT NULL REFERENCES Teilmassnahme,
   Unterhaltungspflege
      INTEGER NOT NULL REFERENCES Unterhaltungspflege
)

CREATE TABLE Kompensationsteilflaeche (
   Kompensationsteilflaeche_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Kompensationsteilflaeche_ID) REFERENCES Geometrieschema.Flaechenobjekt_Modell,
   Groesse
      REAL NOT NULL, -- Quadratmeter
   CHECK ( Groesse >= 0 ),
   auf_Nutzungsartteilflaeche
      INTEGER NOT NULL REFERENCES Grunderwerb.Nutzungsartteilflaeche,
   zu_Teilmassnahme
      INTEGER NOT NULL REFERENCES Teilmassnahme
)

CREATE TABLE Herstellung_Fertigstpflege (
   Herstellung_Fertigstpflege_ID
      INTEGER NOT NULL PRIMARY KEY,
   Massnahme
      VARCHAR(255),
   Entwicklungsziel_erreicht_am
      CHAR(10), -- Datum
   CHECK ( Entwicklungsziel_erreicht_am LIKE '__.__.____' ),
   Kosten_der_Herstellung
      REAL, -- EURO
   CHECK ( Kosten_der_Herstellung >= 0 ),
   Kosten_der_Fertigstellungspfl
      REAL, -- EURO
   CHECK ( Kosten_der_Fertigstellungspfl >= 0 )
)

CREATE TABLE Entwicklungspflege (
   Entwicklungspflege_ID
      INTEGER NOT NULL PRIMARY KEY,
   Art_der_Pflege
      VARCHAR(255),
   Einheitspreis
      REAL, -- EURO
   CHECK ( Einheitspreis >= 0 ),
   Gesamtpreis
      REAL, -- EURO
   CHECK ( Gesamtpreis >= 0 ),
   Zeitpunkt_der_Pflege
      CHAR(10), -- Datum
   CHECK ( Zeitpunkt_der_Pflege LIKE '__.__.____' ),
   Durchfuehrung_von
      VARCHAR(255),
   Kosten
      REAL, -- EURO
   CHECK ( Kosten >= 0 ),
   Pflegevertrag_mit
      VARCHAR(255),
   Vertrag_endet_am
      CHAR(10), -- Datum
   CHECK ( Vertrag_endet_am LIKE '__.__.____' ),
   abgenommen_am
      CHAR(10), -- Datum
   CHECK ( abgenommen_am LIKE '__.__.____' ),
   Entwicklungsziel_erreicht_am
      CHAR(10), -- Datum
   CHECK ( Entwicklungsziel_erreicht_am LIKE '__.__.____' ),
   Vertragsinhalte
      VARCHAR(255),
   Anmerkungen_zur_Pflege
      VARCHAR(255),
   Hinweise_f_die_weitere_Pflege
      VARCHAR(255)
)

CREATE TABLE Unterhaltungspflege (
   Unterhaltungspflege_ID
      INTEGER NOT NULL PRIMARY KEY,
   Art_der_Pflege
      VARCHAR(255),
   Einheitspreis
      REAL, -- EURO
   CHECK ( Einheitspreis >= 0 ),
   Gesamtpreis
      REAL, -- EURO
   CHECK ( Gesamtpreis >= 0 ),
   Durchfuehrung_von
      VARCHAR(255),
   Pflegevertrag_mit
      VARCHAR(255),
   Vertrag_endet_am
      CHAR(10), -- Datum
   CHECK ( Vertrag_endet_am LIKE '__.__.____' ),
   abgenommen_am
      CHAR(10), -- Datum
   CHECK ( abgenommen_am LIKE '__.__.____' ),
   Vertragsinhalte
      VARCHAR(255),
   Anmerkungen_zur_Unterhpflege
      VARCHAR(255),
   Hinweise_f_die_weitere_Pflege
      VARCHAR(255),
   Kosten_d_Unterhpflege_aktuell
      REAL, -- EURO
   CHECK ( Kosten_d_Unterhpflege_aktuell >= 0 ),
   Kosten_d_Unterhpflege_aufgel
      REAL, -- EURO
   CHECK ( Kosten_d_Unterhpflege_aufgel >= 0 )
)

CREATE TABLE Baumassnahme (
   Baumassnahme_ID
      INTEGER NOT NULL PRIMARY KEY,
   Laenge
      REAL, -- Meter
   naechster_Ort
      VARCHAR(255),
   Bezeichnung
      VARCHAR(255),
   Beginn
      CHAR(10), -- Datum
   CHECK ( Beginn LIKE '__.__.____' ),
   Fertigstellung
      CHAR(10), -- Datum
   CHECK ( Fertigstellung LIKE '__.__.____' ),
   Verkehrsfreigabe
      CHAR(10), -- Datum
   CHECK ( Verkehrsfreigabe LIKE '__.__.____' ),
   Fertigstellung_Kompensmassn
      CHAR(10), -- Datum
   CHECK ( Fertigstellung_Kompensmassn LIKE '__.__.____' ),
   Landschaftsbehoerde
      VARCHAR(255),
   Art_der_Genehmigung
      VARCHAR(255),
   Datum_der_Genehmigung
      CHAR(10), -- Datum
   CHECK ( Datum_der_Genehmigung LIKE '__.__.____' ),
   Aktenzeichen
      VARCHAR(255),
   PROJIS_Nummer
      VARCHAR(255),
   Fertigstellung_LBP
      CHAR(10), -- Datum
   CHECK ( Fertigstellung_LBP LIKE '__.__.____' ),
   Gesamtkosten_Grunderwerb_Komp
      REAL, -- EURO
   CHECK ( Gesamtkosten_Grunderwerb_Komp >= 0 ),
   Gesamtkosten_Herstellung_Komp
      REAL, -- EURO
   CHECK ( Gesamtkosten_Herstellung_Komp >= 0 ),
   Gesamtkosten_Fertigstell_Komp
      REAL, -- EURO
   CHECK ( Gesamtkosten_Fertigstell_Komp >= 0 ),
   Gesamtkosten_Entwicklpfl_Komp
      REAL, -- EURO
   CHECK ( Gesamtkosten_Entwicklpfl_Komp >= 0 ),
   Gesamtkosten_Unterhpfl_Komp
      REAL, -- EURO
   CHECK ( Gesamtkosten_Unterhpfl_Komp >= 0 ),
   Bearbeiter
      VARCHAR(255),
   letzte_Bearbeitung
      CHAR(10), -- Datum
   CHECK ( letzte_Bearbeitung LIKE '__.__.____' ),
   in_Verwaltungsbezirk
      INTEGER REFERENCES Administration.Verwaltungsbezirk_abstrakt,
   zu_Strasse
      INTEGER REFERENCES Strassennetz.Strasse_abstrakt,
   zu_Abschnitt_oder_Ast
      INTEGER REFERENCES Strassennetz.Abschnitt_oder_Ast_abstrakt
)

CREATE TABLE Baumassnahme__hat_Kompensmassn (
   Baumassnahme
      INTEGER NOT NULL REFERENCES Baumassnahme,
   Kompensationsmassnahme
      INTEGER NOT NULL REFERENCES Kompensationsmassnahme
)

CREATE TABLE Baum (
   Baum_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Baum_ID) REFERENCES Bewuchs,
   Baumart
      INTEGER REFERENCES Baumart,
   Stammumfang
      REAL, -- Meter
   Stammdurchmesser
      REAL, -- Meter
   Kronendurchmesser
      REAL, -- Meter
   Wurzelhalsdurchmesser
      REAL, -- Meter
   Stammhoehe
      REAL, -- Meter
   Baumhoehe
      REAL, -- Meter
   Baumscheibe
      REAL, -- Quadratmeter
   CHECK ( Baumscheibe >= 0 ),
   Zustandsbeurteilung
      INTEGER REFERENCES Zustandsbeurteilung_Baum,
   hat_Baumschaeden
      INTEGER REFERENCES Baumschaden
)

CREATE TABLE Baum__hat_Standort (
   Baum
      INTEGER NOT NULL REFERENCES Baum,
   Standortbeschreibung_Baum
      INTEGER NOT NULL REFERENCES Standortbeschreibung_Baum
)

CREATE TABLE Baumart (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL,
   Baumart_botanisch
      VARCHAR(255)
)

INSERT INTO Baumart VALUES (1,'Amerikanische Roteiche','Quercus robra')
INSERT INTO Baumart VALUES (2,'Apfelbaum','Malus')
INSERT INTO Baumart VALUES (3,'Baumhasel','Corylus corluna')
INSERT INTO Baumart VALUES (4,'Bergahorn','Acer pseudoplatanus')
INSERT INTO Baumart VALUES (5,'Bergulme','Ulmus glabra')
INSERT INTO Baumart VALUES (6,'Birke','Betula pendula/pubescens')
INSERT INTO Baumart VALUES (7,'Birnenbaum','Pyrus')
INSERT INTO Baumart VALUES (8,'Eberesche','Sorbus aucuparia')
INSERT INTO Baumart VALUES (9,'Eiche','Quercus robur/petraea')
INSERT INTO Baumart VALUES (10,'Erle','Alnus glutinosa')
INSERT INTO Baumart VALUES (11,'Esche','Fraxinus exelsior')
INSERT INTO Baumart VALUES (12,'Feldahorn','Acer campestre')
INSERT INTO Baumart VALUES (13,'Feldulme','Ulmus carpinifolia')
INSERT INTO Baumart VALUES (14,'Graupappel','Populus')
INSERT INTO Baumart VALUES (15,'Hainbuche','Carpinus betulus')
INSERT INTO Baumart VALUES (16,'Kirschbaum','Prunus avium')
INSERT INTO Baumart VALUES (17,'Linde','Tilia cordata')
INSERT INTO Baumart VALUES (18,'Mehlbeere','Sorbus intermedia')
INSERT INTO Baumart VALUES (19,'Pflaumenbaum','Prunus')
INSERT INTO Baumart VALUES (21,'Platane','Platanus acerifolia')
INSERT INTO Baumart VALUES (21,'Robinie','Robinia pseudocacia')
INSERT INTO Baumart VALUES (22,'Rokastanie','Aesculus hippocastanum')
INSERT INTO Baumart VALUES (23,'Rotbuche','Fagus sylvatica')
INSERT INTO Baumart VALUES (24,'Rotdorn','Crataegus laevigata')
INSERT INTO Baumart VALUES (25,'Spitzahorn','Acer platanoides')
INSERT INTO Baumart VALUES (26,'Walnu','Juglans regia')
INSERT INTO Baumart VALUES (27,'Weiweide','Salix alba')
INSERT INTO Baumart VALUES (28,'Zitterpappel','Populus tremula')
INSERT INTO Baumart VALUES (100,'Laubbaum',' ')
INSERT INTO Baumart VALUES (200,'Nadelbaum',' ')

CREATE TABLE Zustandsbeurteilung_Baum (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Zustandsbeurteilung_Baum VALUES (1,'gesund')
INSERT INTO Zustandsbeurteilung_Baum VALUES (2,'sehr schwach geschdigt')
INSERT INTO Zustandsbeurteilung_Baum VALUES (3,'mittelstark geschdigt')
INSERT INTO Zustandsbeurteilung_Baum VALUES (4,'stark geschdig')
INSERT INTO Zustandsbeurteilung_Baum VALUES (5,'abgestorben')

CREATE TABLE Baumschaden (
   Baumschaden_ID
      INTEGER NOT NULL PRIMARY KEY,
   Schadensursache
      INTEGER REFERENCES Schadensursache_Baum
)

CREATE TABLE Baumschaden__Kronenschaeden (
   Baumschaden
      INTEGER NOT NULL REFERENCES Baumschaden,
   Kronenschaden
      INTEGER NOT NULL REFERENCES Kronenschaden
)

CREATE TABLE Baumschaden__Stammschaeden (
   Baumschaden
      INTEGER NOT NULL REFERENCES Baumschaden,
   Stammschaden
      INTEGER NOT NULL REFERENCES Stammschaden
)

CREATE TABLE Baumschaden__Wurzelschaeden (
   Baumschaden
      INTEGER NOT NULL REFERENCES Baumschaden,
   Wurzelschaden
      INTEGER NOT NULL REFERENCES Wurzelschaden
)

CREATE TABLE Kronenschaden (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Kronenschaden VALUES (1,'Totholz (einzelne ste ber DU 5-10 cm)')
INSERT INTO Kronenschaden VALUES (2,'Krone vollstndig ohne Bltter (Krone abgestorben)')
INSERT INTO Kronenschaden VALUES (3,'Wipfeldrre')
INSERT INTO Kronenschaden VALUES (4,'schtteres Laubdach (wenig Bltter)')
INSERT INTO Kronenschaden VALUES (5,'ungewhnlich frhzeitige Laubfrbung ')
INSERT INTO Kronenschaden VALUES (6,'Vergilbungen / Verfrbungen der Bltter')
INSERT INTO Kronenschaden VALUES (7,'Schdlingsbefall (zerfressene Bltter)')
INSERT INTO Kronenschaden VALUES (8,'Astabbrche (Wind / Eisbruch)')
INSERT INTO Kronenschaden VALUES (9,'Aststmpfe')
INSERT INTO Kronenschaden VALUES (10,'Astmorschungen')
INSERT INTO Kronenschaden VALUES (11,'Asthhlen')
INSERT INTO Kronenschaden VALUES (12,'Astausbrche')
INSERT INTO Kronenschaden VALUES (13,'Risse oder Spalten an Gabelungen u. Kronenansatz')
INSERT INTO Kronenschaden VALUES (14,'Risse oder Spalten an Starksten (DU 5-10 cm)')
INSERT INTO Kronenschaden VALUES (15,'Risse oder Spalten an Starksten (DU > 10 cm)')
INSERT INTO Kronenschaden VALUES (16,'Wunden/Rindenschaden an Starksten (DU 5-10 cm)')
INSERT INTO Kronenschaden VALUES (17,'Wunden/Rindenschaden an Starksten (DU >10 cm)')
INSERT INTO Kronenschaden VALUES (18,'eingefaulte Astungswunden')
INSERT INTO Kronenschaden VALUES (19,'Vergabelungen (Druckzwiesel=V-frmig) mit eingew. Rinde')
INSERT INTO Kronenschaden VALUES (20,'Wassertaschen')
INSERT INTO Kronenschaden VALUES (21,'Baumfremder Bewuchs')
INSERT INTO Kronenschaden VALUES (22,'Alte Einbauten zur Kronensicherung')
INSERT INTO Kronenschaden VALUES (23,'Pilzfruchtkrper an Gabelungen')
INSERT INTO Kronenschaden VALUES (24,'Pilzfruchtkrper an brigen sten')

CREATE TABLE Stammschaden (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Stammschaden VALUES (25,'Schrgstand/Schieflage')
INSERT INTO Stammschaden VALUES (26,'Bohrmehl/Insekten')
INSERT INTO Stammschaden VALUES (27,'Ausfluss/Schleimfluss')
INSERT INTO Stammschaden VALUES (28,'Ausfluss/Harzfluss')
INSERT INTO Stammschaden VALUES (29,'Alte Stahlgewindestangen')
INSERT INTO Stammschaden VALUES (30,'Alte Plomben')
INSERT INTO Stammschaden VALUES (31,'Rinden/Holzschaden')
INSERT INTO Stammschaden VALUES (32,'Stammrisse')
INSERT INTO Stammschaden VALUES (33,'Faulstellen')
INSERT INTO Stammschaden VALUES (34,'Hhlungen')
INSERT INTO Stammschaden VALUES (35,'Pilzbefall')
INSERT INTO Stammschaden VALUES (36,'Baumfremder Bewuchs')

CREATE TABLE Wurzelschaden (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Wurzelschaden VALUES (37,'Bodenaufwlbungen/Bodenrisse')
INSERT INTO Wurzelschaden VALUES (38,'Stolperwurzeln')
INSERT INTO Wurzelschaden VALUES (39,'Anhebung der Befestigung')
INSERT INTO Wurzelschaden VALUES (40,'Ausfluss/Schleimfluss')
INSERT INTO Wurzelschaden VALUES (41,'Ausfluss/Harzfluss')
INSERT INTO Wurzelschaden VALUES (42,'Bohrmehl/Insekten')
INSERT INTO Wurzelschaden VALUES (43,'Stockaustriebe')
INSERT INTO Wurzelschaden VALUES (44,'Verdickung des unteren Stammes')
INSERT INTO Wurzelschaden VALUES (45,'Adventivwurzelbildung')
INSERT INTO Wurzelschaden VALUES (46,'Rinden/Holzschaden')
INSERT INTO Wurzelschaden VALUES (47,'Faulstellen')
INSERT INTO Wurzelschaden VALUES (48,'Pilzbefall')
INSERT INTO Wurzelschaden VALUES (49,'Risse')
INSERT INTO Wurzelschaden VALUES (50,'Wulstbildung')
INSERT INTO Wurzelschaden VALUES (51,'Hhlungen')

CREATE TABLE Schadensursache_Baum (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Schadensursache_Baum VALUES (1,'Anfahrschaden')
INSERT INTO Schadensursache_Baum VALUES (2,'Blitzschaden')
INSERT INTO Schadensursache_Baum VALUES (3,'Sturmschaden')
INSERT INTO Schadensursache_Baum VALUES (4,'Eisbruch')

CREATE TABLE Standortbeschreibung_Baum (
   Standortbeschreibung_Baum_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Standortbeschreibung_Baum_ID) REFERENCES Strassennetz.Punktobjekt_stat,
   Lagebeschreibung
      INTEGER REFERENCES Lagebeschreibung_Baum
)

CREATE TABLE Lagebeschreibung_Baum (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Lagebeschreibung_Baum VALUES (1,'Baum auf Trennstreifen zwischen Radweg und Strae')
INSERT INTO Lagebeschreibung_Baum VALUES (2,'Baum zwischen Radweg und Graben')
INSERT INTO Lagebeschreibung_Baum VALUES (3,'Baum zwischen Radweg und benachbartem Grundstck')
INSERT INTO Lagebeschreibung_Baum VALUES (4,'Baum im Geh- oder Radweg')
INSERT INTO Lagebeschreibung_Baum VALUES (5,'Baum in Pflasterflche')
INSERT INTO Lagebeschreibung_Baum VALUES (6,'Baum hinter Gehweg')

CREATE TABLE Bewuchs (
   Bewuchs_ID
      INTEGER NOT NULL PRIMARY KEY,
   FOREIGN KEY (Bewuchs_ID) REFERENCES Historisierung.historisches_Objekt,
   gueltig_von
      CHAR(10), -- Datum
   CHECK ( gueltig_von LIKE '__.__.____' ),
   gueltig_bis
      CHAR(10), -- Datum
   CHECK ( gueltig_bis LIKE '__.__.____' ),
   Schutzstatus
      INTEGER REFERENCES Schutzstatus_Bewuchs,
   Zustaendigkeit
      VARCHAR(255),
   Erfassungsqualitaet
      VARCHAR(255) NOT NULL,
   hat_Objekt_Id
      INTEGER REFERENCES Allgemeine_Objekte.Objekt_ID
)

CREATE TABLE Bewuchs__Pflegemassnahmen (
   Bewuchs
      INTEGER NOT NULL REFERENCES Bewuchs,
   Pflegemassnahme_Bewuchs
      INTEGER NOT NULL REFERENCES Pflegemassnahme_Bewuchs
)

CREATE TABLE Bewuchs__hat_Auspraegungen (
   Bewuchs
      INTEGER NOT NULL REFERENCES Bewuchs,
   geometrische_Auspraegung
      INTEGER NOT NULL REFERENCES Allgemeine_Objekte.geometrische_Auspraegung
)

CREATE TABLE Schutzstatus_Bewuchs (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Schutzstatus_Bewuchs VALUES (1,'Landschaftsschutzgebiet (LSG)')
INSERT INTO Schutzstatus_Bewuchs VALUES (2,'Naturschutzgebiet (NSG)')
INSERT INTO Schutzstatus_Bewuchs VALUES (3,'Naturdenkmal (ND)')
INSERT INTO Schutzstatus_Bewuchs VALUES (4,'Fauna/Flora/Habitat (FFH)')
INSERT INTO Schutzstatus_Bewuchs VALUES (5,'geschtzter Landschaftsbestandteil')

CREATE TABLE Pflegemassnahme_Bewuchs (
   Kennung
      INTEGER NOT NULL PRIMARY KEY,
   Langtext
      VARCHAR(255) NOT NULL
)

INSERT INTO Pflegemassnahme_Bewuchs VALUES (1,'Kronenschnitt f. Lichtraumprofil')
INSERT INTO Pflegemassnahme_Bewuchs VALUES (2,'Totholzbeseitigung')
INSERT INTO Pflegemassnahme_Bewuchs VALUES (3,'Kronenauslichtungsschnitt')
INSERT INTO Pflegemassnahme_Bewuchs VALUES (4,'Kroneneinkrzung')
INSERT INTO Pflegemassnahme_Bewuchs VALUES (5,'Baumsicherungsschnitt')
INSERT INTO Pflegemassnahme_Bewuchs VALUES (6,'Astabsgen')
INSERT INTO Pflegemassnahme_Bewuchs VALUES (7,'Stammaustriebe entfernen')
INSERT INTO Pflegemassnahme_Bewuchs VALUES (8,'Stockaustriebe entfernen')
INSERT INTO Pflegemassnahme_Bewuchs VALUES (9,'Baumwunde behandeln')
INSERT INTO Pflegemassnahme_Bewuchs VALUES (10,'Wurzelschadensbehandlung')
INSERT INTO Pflegemassnahme_Bewuchs VALUES (11,'Baumscheibe sanieren')
INSERT INTO Pflegemassnahme_Bewuchs VALUES (12,'Baum fllen')

CREATE TABLE Baumreihe (
   Baumreihe_ID
      INTEGER NOT NULL PRIMARY KEY,
   Art_der_Baumreihe
      INTEGER NOT NULL REFERENCES Baumart,
   Zustaendigkeit
      VARCHAR(255)
)

CREATE TABLE Baumreihe__best_a_Abschnitten (
   Baumreihe
      INTEGER NOT NULL REFERENCES Baumreihe,
   Baumreihenabschnitt
      INTEGER NOT NULL REFERENCES Baumreihenabschnitt,
   folgt_auf_Baumreihenabschnitt
      INTEGER REFERENCES Baumreihenabschnitt
)

CREATE TABLE Baumreihenabschnitt (
   Baumreihenabschnitt_ID
      INTEGER NOT NULL PRIMARY KEY,
   Erfassungsqualitaet
      VARCHAR(255) NOT NULL,
   Anzahl_der_enthaltenen_Baeume
      INTEGER,
   beginnt_bei_Baum
      INTEGER NOT NULL REFERENCES Baum,
   endet_bei_Baum
      INTEGER NOT NULL REFERENCES Baum,
   von_Allee
      INTEGER REFERENCES Allee
)

CREATE TABLE Baumreihenabschnitt__hat_Baum (
   Baumreihenabschnitt
      INTEGER NOT NULL REFERENCES Baumreihenabschnitt,
   Baum
      INTEGER NOT NULL REFERENCES Baum
)

CREATE TABLE Allee (
   Allee_ID
      INTEGER NOT NULL PRIMARY KEY
)
